package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: Nft054QueryUserAddressBelongToUser
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/21 15:01
 */
@Data
public class Nft054QueryUserAddressBelongToUserRespDto implements Serializable {
    /**
     * true 同一主体
     * false: 非同一主体
     */
    private Boolean result;

    private static final Nft054QueryUserAddressBelongToUserRespDto obj = new Nft054QueryUserAddressBelongToUserRespDto();
    public static Nft054QueryUserAddressBelongToUserRespDto getNew() {
        try {
            return (Nft054QueryUserAddressBelongToUserRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft054QueryUserAddressBelongToUserRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
